<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$text_id = "";
$up_flag = "";
$q_id = "";
$item_order = "";
$up_tbl_txt = "";
$err_msg = "";
$up_button_txt="";
$ins_tbl_txt="";
$item_count = 0;
$checked_txt="";

if ($_GET <> null) {
	if (isset($_GET['text_id'])) {
		$text_id = $_GET['text_id'];
	}
	if (isset($_GET['question_id'])) {
		$q_id = $_GET['question_id'];
	}
	if (isset($_GET['order'])) {
		$item_order = $_GET['order'];
	}
	if (!is_numeric($text_id) || !is_numeric($q_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/txt_make/list.php");

		exit;
	}
}
if($_POST <> null) {
	$up_flag = $_POST['up_flag'];
}

$data_object = new CDbAccess();
		//DB³
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//Υǡ֥Ȥ
	$item_data_object = new CItemTableAccess ();
	
	if ($text_id == null || $text_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		$text_id = $_POST['text_id'];
		$q_id = $_POST['question_id'];
		$item_order = $_POST['item_order'];
		if ($up_flag == "1" && (!array_key_exists('DEL0', $_POST))) {
			$val_object =new validator();
			$val_object->setFormType('item_make');
			$val_object->setErrMsg($_POST);
			if ($val_object->err_msg == "") {
				if (!$item_data_object->updateItemExe($data_object->conn, $_POST)) {
					$err_msg = _EXAM_TEA_OPTION_UPDATE_ERR;
					$err_msg = $item_data_object->err_msg;
				} else {
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."teacher/item_make/insert_form.php?text_id=".$text_id."&question_id=".$q_id);

					exit;			
				}
			} else {
				$err_msg = $val_object->err_msg;
			}
		} else if (array_key_exists('DEL0', $_POST) == true) {
			if (!$item_data_object->deleteItemExe($data_object->conn, $q_id, $item_order)) {
				$err_msg = _EXAM_TEA_OPTION_DEL_ERR;
				$err_msg = $item_data_object->err_msg;
			} else {
//				redirect_header(URL_SET."teacher/item_make/insert_form.php?text_id=".$text_id."&question_id=".$q_id);
				header("Content-Type: text/html; charset=EUC-JP");
				header(URL_SET."teacher/item_make/insert_form.php?text_id=".$text_id."&question_id=".$q_id);
				exit;			
			}	
		}
	}
	//ƥȥǡΥ֥Ȥ
	$text_data_object = new CTextTableAccess();
	
	$txt_data = $text_data_object->getDetailTextData($data_object->conn, $text_id);
	if ($txt_data == false) {
		$text_title = _COMMON_DB_NODATA_FOUND;
	} else {
//		$text_title = htmlspecialchars(mb_convert_encoding($txt_data['text_title'],'EUC-JP','UTF-8'),ENT_QUOTES);
		$text_title = htmlspecialchars($txt_data['text_title'],ENT_QUOTES);
	}
	
	//ǡΥ֥Ȥ
	$q_data_object = new CQuestionTableAccess ();
	$q_data = $q_data_object->getQuestionDetail($data_object->conn, $q_id);
	if ($q_data == false) {
		$q_cont = _COMMON_DB_NODATA_FOUND;
	} else {
//		$q_cont = nl2br(htmlspecialchars(mb_convert_encoding($q_data['content'],'EUC-JP','UTF-8'),ENT_QUOTES));
		$q_cont = nl2br(htmlspecialchars($q_data['content'],ENT_QUOTES));
		$q_ans = $q_data['answer'];
/*		if ($q_ans == 1) {
			$q_ans_text = "ñ";
		} else if ($q_ans == 2) {
			$q_ans_text = "ʣ";
		}
*/
		}

	$data_list = $item_data_object->getItemPerQuestion($data_object->conn, $q_id);

	if (!$data_list) {
		$up_tbl_txt ="<td colspan=6>"._COMMON_DB_NODATA_FOUND."</td>";
	} else {
//		if (count($data_list) == 0) {
//			$up_tbl_txt = "<td colspan=6>ǡϿƤޤ</td>";
//		} else {
			//ѥե饰
			//0 Բġ12ǤϤʤϲǽ
			$is_right_flag = 2;
			
			foreach($data_list as $data_arr) {

				if ($data_arr['item_order'] == $item_order) {
				$up_tbl_txt .= "<form action ='mod_item.php' method='POST'>";
				$up_tbl_txt .= "<tr><td><input type='CHECKBOX' name='DEL0' value='1'></td>";
//				$up_tbl_txt .= "<td>".mb_convert_encoding($data_arr['item_order'],'EUC-JP', 'UTF-8')."</td>";
				$up_tbl_txt .= "<td>".$data_arr['item_order']."</td>";
				$up_tbl_txt .= "<td><input type='text' size=30 name = 'item_txt' value='";
//				$up_tbl_txt .= mb_convert_encoding($data_arr['item_txt'],'EUC-JP', 'UTF-8')."'></td>";
				$up_tbl_txt .= htmlspecialchars($data_arr['item_txt'],ENT_QUOTES)."'></td>";
				$up_tbl_txt .= "<td><input type='text' size=30 maxlength=30 name = 'comment' value='";
//				$up_tbl_txt .= mb_convert_encoding($data_arr['comment'],'EUC-JP', 'UTF-8')."'>";
//				$up_tbl_txt .= "<input type='hidden' name='item_order' value='".mb_convert_encoding($data_arr['item_order'],'EUC-JP', 'UTF-8')."'>";
				$up_tbl_txt .= htmlspecialchars($data_arr['comment'],ENT_QUOTES)."'>";
				$up_tbl_txt .= "<input type='hidden' name='item_order' value='".$data_arr['item_order']."'>";
				$up_tbl_txt .= "<input type='hidden' name='question_id' value='".$q_id."'>";
				$up_tbl_txt .= "<input type='hidden' name='text_id' value='".$text_id."'></td>";

				if ($data_arr['is_right'] == 1) {
					$is_right_flag = 1;			
				}
				} else {
				if ($data_arr['is_right'] == 1 && $q_ans == 1) {
					$is_right_flag = 0;
				}
				}
			}
			$up_tbl_txt .="<td>";
			if ($is_right_flag  <> 0) {
				$up_tbl_txt .="<input type='CHECKBOX' name='is_right' value='1'";
				if ($is_right_flag == 1) {
					$up_tbl_txt .= " CHECKED";
				}
				$up_tbl_txt .=">";
			}
			$up_tbl_txt .="</td><td>";
			$up_tbl_txt .="<input type='hidden' name='up_flag' value='1'>";

			$up_tbl_txt .="<input type='submit' value='"._COMMON_MOD_TXT."/"._COMMON_DEL_TXT."'>";
			$up_tbl_txt .="</td></form></table>";
//		}
	}

	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/ad_item_make/mod_item.tpl');
$show_data = ereg_replace(':TEXT_ID_REP:', $text_id, $show_data);
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TITLE_REP:', mb_convert_encoding($text_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':Q_TEXT_REP:', mb_convert_encoding($q_cont,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TBL_REP:', mb_convert_encoding($up_tbl_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':Q_ID_REP:', $q_id, $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_item_make/mod_item.tpl');
$show_data = str_replace(':TEXT_ID_REP:', $text_id, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':TITLE_REP:', $text_title, $show_data);
$show_data = str_replace(':Q_TEXT_REP:', $q_cont, $show_data);
$show_data = str_replace(':TBL_REP:', $up_tbl_txt, $show_data);
$show_data = str_replace(':Q_ID_REP:', $q_id, $show_data);

echo $show_data;
?>
