<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';
require_once '../../data/data_for_test.php';
require_once '../../util/for_exam.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
$test_id = "";
$class_nam = "";
$test_nam = "";
$teacher_nam = "";
$teacher_id = "";
$action_type = "";
$up_tbl_txt = "";
$up_st_id = "";
$err_msg = "";
$item_count = 0;
if ($_GET <> null) {
	if(isset($_GET['test_id'])) {$test_id = $_GET['test_id'];}
	if (!is_numeric($test_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");				
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
} else if ($_POST <> null) {
	$action_type = $_POST['action_type'];
} else {
//	redirect_header(URL_SET."teacher/class_reg/class_list.php");				
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/class_list.php");
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	if ($class_id == null || $class_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		if (!$data_object->transactionBegin()) {
			$err_msg .= $data_object->err_msg;
		} else {
			$test_status_object= new CChangeTestStatus();
			if ($action_type == "update") {
				$class_id = $_POST['class_id'];
				$test_id = $_POST['test_id'];
				if (!$test_status_object->retestExe($data_object->conn, $_POST)) {
					$err_msg = "<font color='red'>"._EXAM_TEA_CLTEST_LIST_LATE_ATTEND_ERR."</font>";
					if (!$data_object->transactionRollBack()) {
						$err_msg .= "<br>".$data_object->err_msg;
					}
				} else {
					$data_object->transactionCommit();
					$data_object->closeDB();
//					redirect_header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id,0,"ǡ򹹿ޤ");
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id);
					exit;
				}
			} else if ($action_type == "end") {
				$class_id = $_POST['class_id'];
				$test_id = $_POST['test_id'];
				if (!$test_status_object->endRetestExe($data_object->conn, $_POST)) {
					$err_msg = "<font color='red'>"._EXAM_TEA_CLTEST_LIST_END_EXAM_ERR."</font>";
					if (!$data_object->transactionRollBack()) {
						$err_msg .= "<br>".$data_object->err_msg;
					}
				} else {
					$data_object->transactionCommit();
					$data_object->closeDB();
//					redirect_header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id,0,"ɻλޤ");
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id);

					exit;
				}
		
			} else {
		
			}
		}
	}
	//饹󸡺
	$class_test_object = new CTestInClassAccess();
	//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}	//饹󸡺
	$class_test_object = new CTestInClassAccess();
	$general_info = $class_test_object->getGeneralInfo($data_object->conn,$test_id);
	if (!$general_info) {
		$class_id = "";
		$class_nam = _COMMON_DB_NODATA_FOUND;
		$test_nam = _COMMON_DB_NODATA_FOUND;
		$teacher_nam = _COMMON_DB_NODATA_FOUND;
		$teacher_id = "";
	
	} else {
		$class_id = $general_info['class_id'];
//		$class_nam = htmlspecialchars($general_info['class_nam'],ENT_QUOTES);
//		$test_nam = htmlspecialchars(mb_convert_encoding($general_info['test_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
//		$teacher_nam = htmlspecialchars($general_info['teacher_nam'],ENT_QUOTES);
		$class_nam = htmlspecialchars(mb_convert_encoding($general_info['class_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		$test_nam = htmlspecialchars($general_info['test_nam'],ENT_QUOTES);
		$teacher_nam = htmlspecialchars(mb_convert_encoding($general_info['teacher_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		$teacher_id = $general_info['teacher_id'];
	}

	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $teacher_id <> $admin_id) {
		$data_object->closeDB();
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
	
	$students_object = new CStudentInClassAccess ();
	$data_list = $students_object->getStudentsForRetest($data_object->conn, $class_id);

	if (!$data_list) {
		$up_tbl_txt ="<tr><td>"._COMMON_DB_NODATA_FOUND."</td></tr>";
	} else {
//		if (count($data_list) == 0) {
//			$up_tbl_txt = "<tr><td>ǡϿƤޤ</td></tr>";
//		} else {
			$counting=0;
			foreach($data_list as $data_arr) {
				$up_tbl_txt .= "<tr><td>";
				$up_tbl_txt .= "<input type='CHECKBOX' name='retest_ch".$counting."'";
				$up_tbl_txt .= " value='".$data_arr['class_student_id']."'";
				if($data_arr['present'] == 4) {
					$up_tbl_txt .= "CHECKED";
				}
				//кѤߤο
//				if ($data_arr['st_status'] == 2) {
				if ($data_arr['status'] == 2) {
					$up_tbl_txt .= " DISABLED";				
				}
				$up_tbl_txt .= ">";

//				$up_tbl_txt .= mb_convert_encoding($data_arr['student_nam'],'EUC-JP','UTF-8')."</td>";
				$up_tbl_txt .= htmlspecialchars(mb_convert_encoding($data_arr['student_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES)."</td>";
				$up_tbl_txt .= "<input type='hidden' name='class_student_id".$counting."' value=";
				$up_tbl_txt .= "'".$data_arr['class_student_id']."'>";

				$up_st_id .= "<input type='hidden' name='student_id".$counting."' value=";
				$up_st_id .= "'".$data_arr['student_id']."'>";

				$up_tbl_txt .= "</td></tr>";
				$counting++;
			}
//		}
	}
//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
		//ƥ̾ͤ
		$test_info_object = new CTestInfoTableAccess();
		$tes_data = $test_info_object->getOneTestInfo($data_object->conn, $test_id);
		if ($tes_data == false) {
			$test_nam = _COMMON_DB_NODATA_FOUND;
		} else {
//			$test_nam = htmlspecialchars(mb_convert_encoding($tes_data['test_nam'],'EUC-JP','UTF-8'),ENT_QUOTES);	
			$test_nam = htmlspecialchars($tes_data['test_nam'],ENT_QUOTES);	
		}
	}
	$data_object->closeDB();
}
$page_title = _EXAM_TEA_CLTEST_LIST_EXAM_NOWINRETEST_TITLE;
//$form_sub_txt = "<form action ='now_in_test.php' method='POST'>";
$form_sub_txt = "<form action ='now_in_retest.php' method='POST' name='end_form'>";

$form_sub_txt .="<input type ='hidden' name='action_type' value='end'>";
$form_sub_txt .="<input type='hidden' name='class_id' value='".$class_id."'>";
$form_sub_txt .="<input type='hidden' name='test_id' value='".$test_id."'>";
$form_sub_txt .=$up_st_id."<input type='hidden' name='retest_cnt' value=".$counting."><input type ='button' value ='"._EXAM_TEA_CLTEST_LIST_RETEST_END_BUTTON."' onClick='end_test()'></form>";

$form_sub_txt .= "<form action = 'now_in_retest.php' method='POST'><input type='submit' value='"._EXAM_TEA_CLTEST_LIST_LATE_ATTEND_TXT."'>";
/*
$show_data = file_get_contents('../../templates/ad_test_reg/test_st_chfrm.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TITLE_REP:', mb_convert_encoding($page_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':SUB_TXT:', mb_convert_encoding($form_sub_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEST_NAM_REP:', mb_convert_encoding($test_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TBL_DATA:', mb_convert_encoding($up_tbl_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':LIST_CNT:', mb_convert_encoding($counting,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':TEST_ID_REP:', $test_id, $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_test_reg/test_st_chfrm.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':TITLE_REP:', $page_title, $show_data);
$show_data = str_replace(':SUB_TXT:', $form_sub_txt, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':TEST_NAM_REP:', $test_nam, $show_data);
$show_data = str_replace(':TBL_DATA:', $up_tbl_txt, $show_data);
$show_data = str_replace(':LIST_CNT:', $counting, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':TEST_ID_REP:', $test_id, $show_data);

echo $show_data;
?>
